org.apache.hc.core5.http.impl.nio

## Class DefaultHttpRequestParserFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.DefaultHttpRequestParserFactory

- All Implemented Interfaces:
    NHttpMessageParserFactory<HttpRequest>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpRequestParserFactory
      extends Object
      implements NHttpMessageParserFactory<HttpRequest>

  Default factory for request message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpRequestParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpRequestParserFactory()`
    `DefaultHttpRequestParserFactory(Http1Config http1Config)`
    `DefaultHttpRequestParserFactory(Http1Config http1Config, HttpRequestFactory<HttpRequest> requestFactory, LineParser lineParser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NHttpMessageParser<HttpRequest>` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpRequestParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(Http1Config http1Config,
                                                 HttpRequestFactory<HttpRequest> requestFactory,
                                                 LineParser lineParser)

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(Http1Config http1Config)

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory()

  - ### Method Detail

    - #### create

          public NHttpMessageParser<HttpRequest> create()

      Specified by:
        `create` in interface `NHttpMessageParserFactory<HttpRequest>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.